Subject: Re: Legumes

From: [email-masked]
Date: Sun, 31 Aug 1997 10:09:02 -0400 (EDT)

We just got another good acacia source for the US while updating our
(commercially available) Permaculture Supplier List.  Though we have known
about The Banana Tree in Pennsylvania for some time,I did not know that they
carry acacia seed.  They have given up their print catalog, it seems and gone
entirely to a web site.  While they have a few plants and seeds suitable for
milder temperate regions, they specialized in subtropical and, especially,
tropical species.  I'd have to take out a bank loan, second mortgage maybe,
to try everything that they have that interests me!  Great stuff.  Check 'em
out at www.banana-tree.com 

For Mother Earth, Dan Hemenway, Yankee Permaculture Publications (since
1982), Elfin Permaculture workshops, lectures, Permaculture Design Courses,
consulting and permaculture designs (since 1981), and now correspondence
courses via email.  Next starts in Oct. 1997. Internships available.
Copyright, 1997, Dan & Cynthia Hemenway, P.O. Box 52, Sparr FL 32192 USA
 [email-masked]  

The organizing principle of the Universe is silliness.